Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Departments

Update Department
PATCH /departments/{departmentId}
https://api.relesystest.net/api/v1.4/departments/{departmentId}
Update a department based on the ID provided. Accepts a JsonPatch request in the body.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
departmentId string / guid The department's unique identifier required
Request Body
application/json-patch+json
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"87db5266-b383-4b8d-80a3-837a03fe5f83","url":null,"creationDateTime":"2026-08-22T23:34:15.0243307Z","lastModifiedDateTime":"2026-08-22T23:34:15.0243307Z","name":"Relesys Main HQ","parentId":"1ec71386-d6de-4270-bb24-f6552654c7dd","externalId":"HQ","dataSource":"RelesysAPI","addressLine":"Relesys Road 10","addressLine2":"2nd floor","zipCode":"2920","city":"Relecity","defaultPhoneCountryCode":45,"phoneNumber":{"countryCode":45,"number":"12345678"},"managerUserId":"f5cdb580-a52f-48db-9732-87c54e470ebd","showInContacts":true,"showInHighscores":true,"showInActivityStatistics":true,"contentCulture":"da-dk","uiCulture":"da-dk","type":"Company","timeZone":"UTC","email":"Test@test.com","userLanguageEnabled":true,"selectedCultures":["da-DK","en-GK"],"showDepartmentManagerPublic":false,"showEmployeeList":true,"showDepartmentUsersInPublicContacts":true,"showDepartmentInTaggingOverview":true,"showUsersInTaggingOverview":true,"showContactList":false,"locales":[{"culture":"en-GB","description":"Example description"}]}}
object
  data object      
   addressLine string      
   addressLine2 string      
   city string      
   contentCulture string      
   creationDateTime datetime      
   dataSource string      
   defaultPhoneCountryCode integer      
   email string      
   externalId string      
   id string / guid      
   lastModifiedDateTime datetime      
   locales array[object]      
    culture string      
    description string      
   managerUserId string / guid      
   name string      
   parentId string / guid      
   phoneNumber object      
    countryCode integer      
    number string      
   selectedCultures array[string]      
   showContactList boolean      
   showDepartmentInTaggingOverview boolean      
   showDepartmentManagerPublic boolean      
   showDepartmentUsersInPublicContacts boolean      
   showEmployeeList boolean      
   showInActivityStatistics boolean      
   showInContacts boolean      
   showInHighscores boolean      
   showUsersInTaggingOverview boolean      
   timeZone string      
   type string      
   uiCulture string      
   url string      
   userLanguageEnabled boolean      
   zipCode string